<?php

require 'required.php';

// Validate input
if (is_empty($VARS['lat']) || is_empty($VARS['long'])) {
    sendError("Missing information.", true);
}
if (!preg_match('/-?[0-9]{1,3}\.[0-9]{2,}/', $VARS['lat'])) {
    sendError("Latitude (lat) is in the wrong format.", true);
}
if (!preg_match('/-?[0-9]{1,3}\.[0-9]{2,}/', $VARS['long'])) {
    sendError("Longitude (long) is in the wrong format.", true);
}

// Round to 2 digits (approx. 1.1km)
$lat = number_format((float) $VARS['lat'], 2, '.', '');
$long = number_format((float) $VARS['long'], 2, '.', '');

$terrainid = $database->select('terrain', 'type', ["AND" => ["latitude" => $lat, "longitude" => $long]])[0];

$out = ["status" => "OK", "type" => $terrainid];
echo json_encode($out);